import QtQuick 1.1

Flickable {
    width: 200
    height: 200
    contentWidth: 400
    contentHeight: 400
    objectName: "flickable"

    Rectangle {
        width: 100
        height: 100
        color: area.pressed?'red':'green'
        objectName: "content"

        MouseArea {
            id: area
            objectName: "mousearea"
            anchors.fill: parent
            onPressed: {
                print('mouse pressed')
                parent.color = 'red'
            }
            onReleased: {
                print('mouse released')
                parent.color = 'green'
            }
            onCanceled: {
                print('mouse canceled')
            }
            onClicked: {
                print('mouse clicked')
            }
            onMousePositionChanged: {
                print('mouse move')
            }
        }
    }
}
